# RateLimit.Interval

Specifies the rate-limiting interval in seconds.

This parameter applies to imptcp: Plain TCP Syslog.

Name:

  RateLimit.Interval

Scope:

  input

Type:

  integer

Default:

  input=0

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

Specifies the rate-limiting interval in seconds. Set it to a number of seconds (5 recommended) to activate rate-limiting.

## Input usage

    input(type="imptcp" rateLimit.interval="...")

## See also

See also imptcp: Plain TCP Syslog.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.